Download Android 5.1 Lollipop Gapps!

For Android 5.1 or 5.1.1, you will need a compatible Gapps for your custom ROM.  The following Android 5.1 Lollipop Gapps includes:

  • Android 5.1 and 5.1.1 support
  • Google Play Services 7.3.26
  • Google Play Store 5.4.12
  • Google Search App/”OK Google” everywhere feature
  • FaceLock for SmartLock
  • Fully compatible with CM12 and CM12.1 ROM
  • Fully compatible with any Android 5.1 or Android 5.1.1 custom ROM

These are minimal Gapps so you don’t get all the extra Google bloatware you don’t need, you can download any other Google apps using Play Store after installing!  You can install apps like Google+, GMail, Google Maps, etc… on the Play Store after installation.

These Gapps are 100% compatible with CM12, CM12.1 and other Android 5.1, 5.1.1 custom ROMs.

Download:

Download Android 5.1 Lollipop Gapps 4-21-15  – Download (Works for all Android smartphones and tablets!) [LATEST VERSION]
Download Android 5.1 Lollipop Gapps 3-14-15 – Download (Works for all Android smartphones and tablets!)

Credits – EuroSkank

  • ZIP FILE IS CORRUPT!

    • Jim Steck

      Downloaded GAPPS 5.1 )K but getting md5 errors when trying to flash, tried on two Note 2’s with latest CWM and Phils Toutch….Bad Zip file.

      • richardz123

        try twrp it will work for that because of SELinux

        • Gabor Ravasz

          Twrp don’t helps. I flashed the gapps with it on my Note 4 and these gapps are force closing. Don’t helps.

          • Josh Dwight

            Which Note4? If it’s Verizon model you will not get custom recovery to work on it… The Bootloaders are locked… Best bet is to go buy a Nexus or HTC

          • richardz123

            sorry that this is a bit late buth have you tried reflashing it ?

  • I go tօ see daily a feա sites and sites tto гead articles оr reviews,
    еxcept tɦis webpage gives feaature based articles.

  • hashmil

    I get a Status 7 error message when trying to install this. Any solution for this? can’t seem to find anywhere i have searched :-/ (trying on a HTC One X, with the Resseruction Remix lollipop ROM.)

    • Igor Kto-To

      Update CWM recovery to latest version!

    • Justin White

      error 7 is due to cwm you must use twrp to flash it will always happen with cwm

      • Erika Raine

        TWRP doesnt work. that bootcycle loops the phone. Nice try though.

        • Josh Dwight

          What phone are you using? Perhaps your bootloader is locked?

  • Kamran Rubab

    S pen not option why??

    • You done f*cked up now!

      Its a s3 ROM. Not a Note one. S pen isn’t compatible with any other devices than Notes

      • Josh Dwight

        It’s not even a ROM either… These are the Google Apps…

  • Kamran Rubab

    Max Lee I like it you’re all custom ROMs beautiful working

  • Justin White

    error 7 is due to cwm you must use twrp to flash

  • Matt Carter

    Would this work with the ZTE ZMax I haven’t changed os on an android for a while N thinking of doing on this phone. I like kit Kat but would like a change. This Kat

    • Josh Dwight

      These are apps… not the actual Lollipop Roms…

  • Tony Lupsa

    Flash through recovery

  • Brandon Jamieson

    hi i just flashed the gapps for my galaxy note 2 and they keep crashing could someone help me please

    • Igor Kto-To

      Looks like you’ve flashed wrong GApps. Download a version for your Android version and reflash.

      • Josh Dwight

        ^ Hit the nail on the head

  • Kevin Wardenier

    It does not work on CM12.1 for Motorola Moto G 4G (peregrine / xt1039). What you need there is GAPPS5.1.x, minimal version by jajb.
    If you’re having problem problems with this gapp (error messages the whole time, thus no access to anything), try that gapp version.

    • Mackovich

      Can you provide a link ? Thanks

      • Abhishek Singh

        Does it work in my xolo q2000l . it is rooted

        • Josh Dwight

          Depends what version you are running…

  • asaka145

    failed to update 🙁

    • Josh Dwight

      Its not for everybody… Only people running the correct version.

  • MotoG2User

    great! Thanks!

  • thanks for the gaps

  • Marf

    thanks for currupting my filesystem. Soft bricked (phone is workng agian after odin repartation.)

    • Josh Dwight

      Only because you apparently didn’t know what you were doing… These files worked fine for me.. you apparently were not using correct GApps for your running version… these are for 5.1 ONLY

  • Noun

    shame of this site.

    • Josh Dwight

      No… Shame for people downloading and flashing without knowledge of what they are doing or trying to accomplish.

  • Nitesh Kumar Bikkumalla

    Does it work in redmi note 4G

    • Josh Dwight

      Only if you’re running Lollipop 5.1

  • mindy lewis

    Can I get this for droid turbo

    • Josh Dwight

      Only if your Droid Turbo is running Lollipop 5.1

  • Shantanu

    Hey just downloaded that gapps zip and my galaxy s3 says goggle services stopped working ….

    what to do ? ?
    i am doing this for the first time .

    • djd

      Android lollipop full of bugs. Don’t ever think of install it.

      • Josh Dwight

        Android Lollipop is fine. The problem is that these are the Google Apps (hence name GApps). When you flash a rom, you generally want to flash the Google Apps that correspond to the version of Android you are running. These are the Google Apps for anyone running Android 5.1… If you flash this to your current Rom and it’s not the correct version, you will likely break things…

  • Abdou Ceesay

    i need know how to download lollipop files n install it on you android device,
    i need briftly explanation step by step

    • Bill Gailey

      read a book

      • Purnesh Kumar

        which book

        • Josh Dwight

          Reading Rainbow or… XDA Developers

    • Bill Gailey

      Just Google it

  • Abdou Ceesay

    can you please tel lme wich site, that i can download the lollipop file

  • Nidal Abrar

    Gapps Minimal Edition for 5.0 and 5.1 work fine

  • Alex Devil

    dose it work in intex aquay2

    • Josh Dwight

      Google XDA Developers… visit the site and look.

  • I need help none of my Google apps work I can’t even sign into an account my phone had to be rested well that’s what it said can someone tell me how to fix this

  • debashis

    I have Nextab phone will it work on that??

  • Μάνθος Αποστολίδης

    Does it work in Samsung Galaxy S3??

  • kalyan

    is it work for honor bee

  • kanti Prajapati

    Supervisor

  • Ranbir Singh

    Hay bro how to cm12 file download for htc d526g+ help me plzzzz

    • Josh Dwight

      Go to XDA Developer Forums > Search for your device > Search for Clockworkmod Rom to see if it is available for your device. Not all Roms are compatible for all phones…

  • Jadeja Jayhackex

    I m downloading gaaps 3

  • Puva

    just downloaded it. how do i install it

  • Richard McDoanld

    could someone give me the instructions to flash my Samsung galaxy tab 3, model # gt-p5210, rom. The screen is always flickering sometimes I cant see anything. I think flashing the rom will correct the problem.

  • Henry Ly

    Is it a nano, pico, or stock package?

    • Josh Dwight

      Neither. It’s Google Apps dude…

  • °~°

    I’m not 😛

    • gabe80million

      XD

    • gabe80million

      😛

  • Edan Jamieson

    cool

  • Josh Dwight

    Yep

  • Josh Dwight

    I would like to add that if they don’t know what recovery is, or have it installed, they should probably not even be attempting to install it…

  • Josh Dwight

    But not the download from this particular page… these are Google Apps… that will not fix your graphics issues…

  • Josh Dwight

    Actually most people that make these files aren’t going to reply because they’ve already posted instructions in XDA Developer forums… People need to learn how to Google search for these things… if you cannot use a search engine to find what you’re looking for, the last thing you should be doing is attempting to flash your phone with files that you do not understand what they do to your phone… There are people flashing Google Apps thinking it’s Lollipop…

    • gabe80million

      Well, I’m sorry I broke your heart. XD Anyways, yeah. I knew what I was doing, I just said that to let them know they should help people that don’t understand.

  • Josh Dwight

    You are a brave man.. lol you just opened yourself up to all kinds of spam…

  • Chimzy Mulekele

    can someone help how to flash acer z630. I want to bypass google verification

  • Joey

    Does it work lenovo a269i ?

  • ToothyGrinn

    Why cant we get these things in tar format ???

  • DLosVato

    If you have a Sprint Samsung Galaxy Note 2 (SPH-L900) then don’t be a fool like me and try to install the GApps 5.1! They didn’t link the right one above to download, but remember you are getting Lollipop 5.0.1 with this ROM not 5.1. Get the CORRECT GApps=GApps Minimal Edition 2015-04-04 for Android 5.0.x (90 MB). Otherwise, you will get a “google play services stopped working error” and have to click [ok] over and over and over again until you get into settings>apps>all, and find google play services and disable it! You have to be FAST with the clicks and it SUCKS! Finally got the error to stop? CONGRATS! Afterwards, go to Settings>(Personal) System Profiles. Then click the gear icon next to the “Default” profile and scroll down to Data Connection and change to “turn on”. This will then allow you to fix the error by loading the correct GApps 5.0.x onto your phone through your PC/USB connection and then start the process over. Hope this helps someone and saves them some time. May you never have to go through the click gauntlet HELL that is google play services stopped working.

    • Νικόλας Κατσαρέλης

      I have installed the exact version of gapps you told us I hope it works 🙂
      I understand ALL THAT EFFORT was pain in the ass 😀 oh yep it works thanks 🙂

  • Guillermo

    I upgraded my Samsung Galaxy tab 10.1 and installed minimum Gaaps and now the GPS and Phone doesnt work… IMEI is gone doesnt recognize the sim card… nothing !!!!

  • Vaibhav

    hi

  • Romeo

    Hi! i have phone cell Padgene Vogue 6 for rom 4.4.2 i need rom please

  • Hamxa Sajjad

    i want upgrade manualy q mobile x 900
    android 4.4.1 to 5.1
    is it possible???

  • André Ferreira

    guys, anyone knows if there is a rom for samsung galaxy grand neo duos plus ( gt-i9060i) with lolippop or greater???
    plz help…

    • sufipunk18 .

      try searching it on xda formus

  • sheven18 .

    I don’t have play store with this version of gapps

  • VanTGM //TheGoldenMiner

    Can I Downgrade from 6.0 to 5.1 Because 6.0 sucks